/*
 * hattrick.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007
 *
 * Copyright: See COPYING file that comes with this distribution
 */

#ifndef TIMER_H_
#define TIMER_H_

#include <vdr/thread.h>
#include <time.h>

class cTimerThread : public cThread
{
public:
    cTimerThread();
    void Init();
    void Stop();
private:
    void OsdMessage( const char* message, bool error = false );
protected:
    void Action();

};

#endif /*TIMER_H_*/
